// alumno.h - Declaración de la clase CAlumno
#if !defined( _ALUMNO_H_ )
#define _ALUMNO_H_
#include <string>
#include <vector>
#include "asignatura.h"
using namespace std;

class CAlumno
{
  private:
    long DNI;
    string nombre;
    string direccion;
    vector<CAsignatura *> asignatura;
  public:
    CAlumno(long dni = 0, string nom = "", string dir = "");
    ~CAlumno();
    CAlumno(const CAlumno&);
    CAlumno& operator=(const CAlumno&);
    void asignarDNI(long dni);
    long obtenerDNI();
    void asignarNombre(string&);
    string obtenerNombre();
    void asignarDireccion(string&);
    string obtenerDireccion();
    CAsignatura *obtenerAsignatura(unsigned int i);
    void anyadirAsignatura(CAsignatura *);
    bool CAlumno::estaEnActa(int id, int& pos);
    size_t numeroAsignaturas();
    CAlumno& operator<<(CAsignatura *asig);
};

#endif // _ALUMNO_H_

